#ifndef RWSIM_MOTIONRANDOMJUMP_H
#define RWSIM_MOTIONRANDOMJUMP_H


#include "base.h"
#include <random>

class RandomJump final : public Motion {
public:
    RandomJump(double, double, std::mt19937_64&);
    explicit RandomJump(std::mt19937_64&);

    [[nodiscard]] std::string toString() const override;

    void initialize() override;
    double jump() override;
};

#endif //RWSIM_MOTIONRANDOMJUMP_H
