#include "delta.h"

DeltaDistribution::DeltaDistribution(const double tau, std::mt19937_64& rng) : Distribution(std::string("Delta"), tau, rng) {}
DeltaDistribution::DeltaDistribution(std::mt19937_64& rng) : Distribution(std::string("Delta"), rng) {}

void DeltaDistribution::initialize() {
    m_tau_jump = m_tau;
}

void DeltaDistribution::draw_tau() {}

std::string DeltaDistribution::toString() const {
    return {"Delta/tau=" + std::to_string(m_tau)};
}

