#ifndef RWSIM_FUNCTIONS_H
#define RWSIM_FUNCTIONS_H

#include <vector>
#include <chrono>


int nearest_index(const std::vector<double>&, double, int);

double lerp(const std::vector<double>&, const std::vector<double>&, double, int);

std::chrono::time_point<std::chrono::system_clock> printSteps(std::chrono::time_point<std::chrono::system_clock>, std::chrono::time_point<std::chrono::system_clock>, int, int);

#endif
